# FTDI_simple_alarm

Use an USB-Serial Converter like the FT232RL for activating an buzzer. Simple and cheap (~1,75€)

## Features:
* works on GNU/Linux only
* no drivers or other software/libs are requidered
* triggerd via bash or service daemon

## Limitations:
* works safe on system with only one /dev/ttyUSB device
* no other task can use the FTDI device for other things

## Handware:
1. FT232RL Breakout board ~1,5€
2. NPN Transistor like 2N2222A ~0,0€
3. Active Buzzer 5V ~0,25€

### Schematics:
![](https://git.mosad.xyz/localhorst/FTDI_simple_alarm/raw/commit/13a1200aea0d3dfb92495ae7d7f4993ddc4338f6/img/schematics.png)

## Software:

### Commmon Distributions

Make shure the device is recocntied as ttyUSB after plug in with `dmesg`.
Edit the alarm.sh with your device name, like `/dev/ttyUSB0` 
run `bash ./alarm.sh` for starting the alarm.

### openWrt

`opkg update`
`opkg install kmod-usb-serial`
`opkg install kmod-usb-serial-ftdi`

Make shure the device is recocntied as ttyUSB after plug in with `dmesg`.
Edit the alarm.sh with your device name, like `/dev/ttyUSB0` 
run `bash ./alarm.sh` for starting the alarm.

### Service
todo